#!/bin/sh
# Verify that ls -i and find -printf %i produce the same output.

# Copyright (C) 2011-2019 Free Software Foundation, Inc.

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

. "${srcdir=.}/tests/init.sh"
print_ver_ find oldfind

make_canonical() {
  sed -e 's/ /_/g'
}

# Create a file.
> file || framework_failure_

# Let ls(1) create the expected output.
ls -i file | make_canonical > exp || framework_failure_

for executable in oldfind find; do
  rm -f out out2
  $executable file -printf '%i_%p\n' > out || fail=1
  make_canonical < out > out2 || framework_failure_
  compare exp out2 || fail=1
done

Exit $fail
